List
curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/edges \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/edges"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/edges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"appId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"credentialInjections": [
{
"contentType": "<string>",
"headerName": "<string>",
"hostPattern": "<string>",
"pathPattern": "<string>",
"secretId": "<string>",
"valuePrefix": "<string>",
"vaultId": "<string>"
}
],
"displayName": "<string>",
"egressConnectEntitlementId": "<string>",
"egressRules": [
{
"effect": "EDGE_EGRESS_EFFECT_UNSPECIFIED",
"endpointPattern": "<string>",
"exemptCredentialKinds": [
"CREDENTIAL_KIND_UNSPECIFIED"
],
"exemptResponseCredentialKinds": [
"CREDENTIAL_KIND_UNSPECIFIED"
],
"maxInspectedBodyBytes": "<string>",
"principal": {
"all": true,
"entitlementId": "<string>",
"userId": "<string>"
},
"skipContentInspection": true
}
],
"egressRulesConfigured": true,
"enabledKinds": [
"EDGE_CAPABILITY_KIND_UNSPECIFIED"
],
"id": "<string>",
"inference": {
"allowHumanCallers": true,
"callerServicePrincipalId": "<string>",
"callerWorkloadFederationTrustId": "<string>",
"contentType": "<string>",
"expectedSecretVersion": "<string>",
"nativeFormat": "EDGE_INFERENCE_NATIVE_FORMAT_UNSPECIFIED",
"routeId": "<string>",
"secretId": "<string>",
"selection": {
"attemptTimeoutMs": 123,
"confidenceThreshold": 123,
"handoffNotes": {
"deescalationNote": "<string>",
"escalationNote": "<string>",
"onlyOnWrongSignalEscalation": true
},
"maxAttempts": 123,
"pickerMode": "EDGE_INFERENCE_STAGE_PICKER_MODE_UNSPECIFIED",
"recentWindow": 123,
"routeDeadlineMs": 123,
"stages": [
{
"judge": {
"baseThreshold": 123,
"maxOutputTokens": 123,
"prompt": "<string>",
"recentTurnWindow": 123,
"thresholdStep": 123
},
"judgeTargetId": "<string>",
"stageId": "<string>",
"targetIds": [
"<string>"
],
"tierPrompt": "<string>"
}
],
"strategy": "EDGE_INFERENCE_SELECTION_STRATEGY_UNSPECIFIED",
"targetIds": [
"<string>"
]
},
"targets": [
{
"circuitBreaker": {
"cooldownMs": 123,
"failureThreshold": 123
},
"contentType": "<string>",
"contextLength": 123,
"credentialFailurePolicy": {
"notApplicable": "EDGE_INFERENCE_FAILURE_DISPOSITION_UNSPECIFIED",
"rejected401": "EDGE_INFERENCE_FAILURE_DISPOSITION_UNSPECIFIED",
"unavailableOrExpired": "EDGE_INFERENCE_FAILURE_DISPOSITION_UNSPECIFIED"
},
"credentialRecipe": "<string>",
"credentialSource": "EDGE_INFERENCE_CREDENTIAL_SOURCE_UNSPECIFIED",
"destination": "<string>",
"expectedSecretVersion": "<string>",
"modelIdGrammar": "<string>",
"providerProfile": "<string>",
"reasoningEffort": "<string>",
"region": "<string>",
"secretId": "<string>",
"targetId": "<string>",
"upstreamModelId": "<string>",
"upstreamPath": "<string>",
"vaultBoundaryId": "<string>"
}
],
"upstreamModelId": "<string>",
"vaultBoundaryId": "<string>"
},
"inferenceInvokeEntitlementId": "<string>",
"inferenceModelsReadEntitlementId": "<string>",
"inferenceRoutes": [
{
"allowHumanCallers": true,
"callerServicePrincipalId": "<string>",
"callerWorkloadFederationTrustId": "<string>",
"contentType": "<string>",
"expectedSecretVersion": "<string>",
"nativeFormat": "EDGE_INFERENCE_NATIVE_FORMAT_UNSPECIFIED",
"routeId": "<string>",
"secretId": "<string>",
"selection": {
"attemptTimeoutMs": 123,
"confidenceThreshold": 123,
"handoffNotes": {
"deescalationNote": "<string>",
"escalationNote": "<string>",
"onlyOnWrongSignalEscalation": true
},
"maxAttempts": 123,
"pickerMode": "EDGE_INFERENCE_STAGE_PICKER_MODE_UNSPECIFIED",
"recentWindow": 123,
"routeDeadlineMs": 123,
"stages": [
{
"judge": {
"baseThreshold": 123,
"maxOutputTokens": 123,
"prompt": "<string>",
"recentTurnWindow": 123,
"thresholdStep": 123
},
"judgeTargetId": "<string>",
"stageId": "<string>",
"targetIds": [
"<string>"
],
"tierPrompt": "<string>"
}
],
"strategy": "EDGE_INFERENCE_SELECTION_STRATEGY_UNSPECIFIED",
"targetIds": [
"<string>"
]
},
"targets": [
{
"circuitBreaker": {
"cooldownMs": 123,
"failureThreshold": 123
},
"contentType": "<string>",
"contextLength": 123,
"credentialFailurePolicy": {
"notApplicable": "EDGE_INFERENCE_FAILURE_DISPOSITION_UNSPECIFIED",
"rejected401": "EDGE_INFERENCE_FAILURE_DISPOSITION_UNSPECIFIED",
"unavailableOrExpired": "EDGE_INFERENCE_FAILURE_DISPOSITION_UNSPECIFIED"
},
"credentialRecipe": "<string>",
"credentialSource": "EDGE_INFERENCE_CREDENTIAL_SOURCE_UNSPECIFIED",
"destination": "<string>",
"expectedSecretVersion": "<string>",
"modelIdGrammar": "<string>",
"providerProfile": "<string>",
"reasoningEffort": "<string>",
"region": "<string>",
"secretId": "<string>",
"targetId": "<string>",
"upstreamModelId": "<string>",
"upstreamPath": "<string>",
"vaultBoundaryId": "<string>"
}
],
"upstreamModelId": "<string>",
"vaultBoundaryId": "<string>"
}
],
"mode": "EDGE_MODE_UNSPECIFIED",
"tokenAudience": "<string>",
"tokenResources": {
"egress": "<string>",
"inference": "<string>"
},
"tokenScopes": [
"<string>"
],
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextPageToken": "<string>"
}Edge
List
List retrieves Edges for an app.
GET
/
api
/
v1
/
apps
/
{app_id}
/
edges
List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
App identifier.
Query Parameters
Page size (max 100).
Page token for pagination.
Was this page helpful?